Subject: Re: [abfab] SAML Draft and SAML 1.0 vs SAML 2.0

From: Eliot Lear <[email-masked]>
Date: Sun, 01 Jul 2012 10:32:03 +0200

In the various work in Kitten we specifically call out SAML 2.0. 
Although I hazard a guess that the likelihood of substantial
incompatibility would be low, since you can't tell what will happen with
a new version of ANYTHING, as a general rule it is best to be specific
(IMHO).

Eliot

On 6/30/12 9:02 PM, Jim Schaad wrote:
> SAML 2.0 is the latest and best version of SAML.  Is there/should there be a
> restriction in the SAML document about using just SAML 2.0 and higher?  If a
> new version of SAML is produced, does there need to be a different set of
> messages defined or should the current set of messages be sufficient
> (assuming that the entire protocol world is not radically overhauled).
>
> Does any of this need to be put into the document?
>
> Jim
>
>
> _______________________________________________
> abfab mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/abfab
>
>

---

From: Leif Johansson <[email-masked]>
Date: Sun, 01 Jul 2012 16:37:42 +0200

On 06/30/2012 09:02 PM, Jim Schaad wrote:
> SAML 2.0 is the latest and best version of SAML.  Is there/should
> there be a restriction in the SAML document about using just SAML
> 2.0 and higher?  If a new version of SAML is produced, does there
> need to be a different set of messages defined or should the
> current set of messages be sufficient (assuming that the entire
> protocol world is not radically overhauled).
> 

I think (as individual) that calling out SAML 2 is fine. There will
probably be a 2.1 in our lifetime but whatever 3.0 looks like it is
unlikely that it is automatically applicable to ABFAB.
	
	Cheers Leif